public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/testtools/
Date: Sat, 21 May 2022 11:22:25 +0000 (UTC)	[thread overview]
Message-ID: <1653132139.1220d1d258978a26f6b68e823e5f0b92027b1062.mgorny@gentoo> (raw)

commit:     1220d1d258978a26f6b68e823e5f0b92027b1062
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 21 10:35:55 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 21 11:22:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1220d1d2

dev-python/testtools: Use PEP517 build

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/testtools/testtools-2.5.0-r1.ebuild | 55 ++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/dev-python/testtools/testtools-2.5.0-r1.ebuild b/dev-python/testtools/testtools-2.5.0-r1.ebuild
new file mode 100644
index 000000000000..5b4ff96df657
--- /dev/null
+++ b/dev-python/testtools/testtools-2.5.0-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Extensions to the Python standard library unit testing framework"
+HOMEPAGE="
+	https://github.com/testing-cabal/testtools/
+	https://pypi.org/project/testtools/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/extras-1.0.0[${PYTHON_USEDEP}]
+	dev-python/python-mimeparse[${PYTHON_USEDEP}]
+	>=dev-python/pbr-0.11[${PYTHON_USEDEP}]
+	dev-python/pyrsistent[${PYTHON_USEDEP}]
+	>=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		>=dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
+		dev-python/testscenarios[${PYTHON_USEDEP}]
+	)
+"
+PDEPEND="
+	>=dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx doc
+
+src_prepare() {
+	# very fragile to formatting changes
+	sed -i -e 's:test_syntax_error(:_&:' \
+		testtools/tests/test_testresult.py || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	"${PYTHON}" -m testtools.run testtools.tests.test_suite ||
+		die "tests failed under ${EPYTHON}"
+}


             reply	other threads:[~2022-05-21 11:22 UTC|newest]

Thread overview: 66+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-21 11:22 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-18 13:08 [gentoo-commits] repo/gentoo:master commit in: dev-python/testtools/ Michał Górny
2024-06-29  7:57 Arthur Zamarin
2024-06-10 18:57 Michał Górny
2024-06-10 18:57 Michał Górny
2024-06-10 14:41 Michał Górny
2023-11-29 10:35 Michał Górny
2023-11-29 10:33 Michał Górny
2023-11-02 14:28 Michał Górny
2023-11-02 14:28 Michał Górny
2023-10-25  2:26 Sam James
2023-07-10  1:50 Michał Górny
2023-07-09 16:51 Arthur Zamarin
2023-05-31 10:50 Michał Górny
2023-04-16 16:31 Arthur Zamarin
2023-03-14 16:57 Michał Górny
2022-11-30 10:18 WANG Xuerui
2022-06-21 18:36 Arthur Zamarin
2022-06-21 18:35 Arthur Zamarin
2022-02-02  7:29 Sam James
2021-08-16  5:20 Agostino Sarubbo
2021-07-14 22:16 Michał Górny
2021-07-12  3:14 Sam James
2021-07-05 22:54 Michał Górny
2021-07-05 22:54 Michał Górny
2021-07-05 10:56 Michał Górny
2021-07-01 14:06 Marek Szuba
2020-12-01 17:27 Sam James
2020-07-11  9:34 Michał Górny
2020-07-11  9:34 Michał Górny
2019-12-30 21:54 Piotr Karbowski
2018-07-28  1:08 Mikle Kolyada
2018-07-08  1:30 Matt Thode
2018-01-06 14:13 Michał Górny
2017-08-11 17:06 Michał Górny
2017-07-08 13:54 Alexis Ballier
2017-06-26 11:43 Alexis Ballier
2017-05-15  9:47 Lars Wendler
2017-05-03  7:37 Michał Górny
2017-02-27  3:53 Zac Medico
2016-05-28 15:36 Alex Brandt
2016-02-09  9:33 Justin Lecher
2016-02-07 12:27 Justin Lecher
2016-02-04 12:25 Justin Lecher
2016-01-27  9:26 Justin Lecher
2015-11-23 10:05 Justin Lecher
2015-11-22  8:38 Markus Meier
2015-11-22  5:38 Jeroen Roovers
2015-11-19 10:25 Agostino Sarubbo
2015-11-17 11:03 Justin Lecher
2015-11-16 15:01 Agostino Sarubbo
2015-11-11 17:27 Justin Lecher
2015-11-09  7:42 Justin Lecher
2015-11-05 11:52 Agostino Sarubbo
2015-11-04 16:09 Agostino Sarubbo
2015-11-04 15:50 Agostino Sarubbo
2015-11-02 13:12 Agostino Sarubbo
2015-11-02 13:09 Agostino Sarubbo
2015-11-02 11:50 Justin Lecher
2015-11-02 11:50 Justin Lecher
2015-10-22 11:09 Justin Lecher
2015-10-14 13:40 Justin Lecher
2015-10-11 11:44 Mikle Kolyada
2015-09-11  7:53 Justin Lecher
2015-08-24 10:12 Justin Lecher
2015-08-24 10:12 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653132139.1220d1d258978a26f6b68e823e5f0b92027b1062.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox